<Package name="org.neuroml.schema">
	<Class name="Package">
		<Field name="name" type="string"/>
		<Field name="desc" type="string"/>
		<Field name="classes" type="list" elementType="Class" xmlstyle="hidefield"/>
	</Class>
	<Class name="Class">
		<Field name="name" type="string"/>
		<Field name="desc" type="string"/>
		<Field name="extends" type="string"/>
		<Field name="fields" type="list" elementType="Field" xmlstyle="hidefield"/>
		<Field name="keyfield" type="string" default="name"/>
	</Class>
	<Class name="Field">
		<Field name="name" type="string"/>
		<Field name="type" type="enum" choice="int|string|double|boolean|url|list|ref|union|enum|any"/>
		<Field name="elementType" type="string"/>
		<Field name="choice" type="list" elementType="string" xmlstyle="compact"/>
		<Field name="desc" type="string"/>
		<Field name="xmlstyle" type="enum" choice="compact|hidefield|showfield"/>
	</Class>
	<Class name="PackageList">
		<Field name="packages" type="list" elementType="Package" xmlstyle="hidefield"/>
	</Class>
</Package>
