<Package name="org.neuroml.schema">
	<Class name="Package" key="name">
		<Field name="name" type="string"/>
		<Field name="desc" type="string"/>
		<Field name="classes" type="list" elementType="Class" xmlstyle="hidefield"/>
	</Class>
	<Class name="Class" key="name">
		<Field name="name" type="string"/>
		<Field name="desc" type="string"/>
		<Field name="extends" type="ref"/>
		<Field name="fields" type="list" elementType="Field" xmlstyle="hidefield"/>
	</Class>
	<Class name="Field" key="name">
		<Field name="name" type="string"/>
		<Field name="type" type="enum" choice="int|string|double|boolean|list|ref|enum"/>
		<Field name="elementType" type="string" appliesWhen="@type==list"/>
		<Field name="choice" type="list" elementType="string" style="string"/>
		<Field name="desc" type="string"/>
		<Field name="appliesWhen" type="string"/>

		<Field name="xmlstyle" type="enum" choice="compact|hidefield|showfield"/>
	</Class>
</Package>
