<Package name="org.neuroml.schema">
	<Class name="Package">
		<Field name="name" type="string"/>
		<Field name="desc" type="string"/>
		<Field name="classes" type="list" elementType="Class" xmlstyle="hidefield"/>
	</Class>
	<Class name="Class" id="name">
		<Field name="name" type="string"/>
		<Field name="desc" type="string"/>
		<Field name="extends" type="ref{Class}"/>
		<Field name="fields" type="list" elementType="Field" xmlstyle="hidefield"/>
	</Class>
	<Class name="Field">
		<Field name="name" type="string"/>

		<Field name="type" type="enum" choice="int|string|double|boolean|list|ref|enum|ref{Class}"/>

		<Field name="elementType" type="string"/>
		<Field name="choice" type="list" elementType="string" style="string"/>

		<Field name="desc" type="string"/>

		<Field name="xmlstyle" type="enum" choice="oneline|hidefield|showfield"/>
	</Class>
</Package>
